Skip to main content
POST
/
v1
/
ingest
/
{source}
/
issues
Ingest Source Issues
curl --request POST \
  --url https://api.example.com/v1/ingest/{source}/issues \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "external_id": "<string>",
  "title": "<string>",
  "body": "",
  "severity": "p3",
  "team": "<string>",
  "external_url": "<string>",
  "source_created_at": "<string>",
  "source_updated_at": "<string>",
  "connector_id": "<string>",
  "metadata": {}
}
'
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

source
string
required

Body

application/json

Source-specific issue push — fields mirror IngestRecord.

external_id
string
required
title
string
required
Required string length: 1 - 300
body
string
default:""
severity
string
default:p3
team
string | null
external_url
string | null
source_created_at
string | null
source_updated_at
string | null
connector_id
string | null
metadata
Metadata · object

Response

Successful Response

The response is of type Response Ingest Source Issues V1 Ingest Source Issues Post · object.